Package org.kapott.hbci.dialog

## Enum HBCIDialogSync.Mode

- java.lang.Object
- - java.lang.Enum<HBCIDialogSync.Mode>
  - - org.kapott.hbci.dialog.HBCIDialogSync.Mode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HBCIDialogSync.Mode>`

Enclosing class:
  HBCIDialogSync

    public static enum HBCIDialogSync.Mode
    extends java.lang.Enum<HBCIDialogSync.Mode>

Legt fest, ob die System-ID oder die Signatur-ID synchronisiert werden soll.

### Enum Constant Summary

Enum Constants
`SIG_ID` Signatur-ID.
`SYS_ID` System-ID.

### Method Summary

All Methods Static Methods Concrete Methods
`static HBCIDialogSync.Mode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HBCIDialogSync.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SYS_ID

    public static final HBCIDialogSync.Mode SYS_ID

System-ID.

#### SIG_ID

    public static final HBCIDialogSync.Mode SIG_ID

Signatur-ID.

### Method Detail

#### values

    public static HBCIDialogSync.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HBCIDialogSync.Mode c : HBCIDialogSync.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HBCIDialogSync.Mode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null